Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		netpbm
Version:	10.35.32
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://netpbm.sourceforge.net/
Group:		Utilities
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-10.27-doc.tar.bz2
Patch0:		%{name}-10.27-time.patch
Patch1:		%{name}-10.27-strip.patch
Patch2:		%{name}-10.27-manpath.patch
Patch4:		%{name}-10.27-cmapsize.patch
Patch5:		%{name}-10.27-gcc34.patch
Patch6:		%{name}-10.27-nodoc.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	The classic image manipulation/conversion graphics utilities.
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	perl
BuildRequires:	glibc-devel
BuildRequires:	zlib-devel

%description
NetPBM (formerly PBMplus) is a package of over 220 programs that convert from one graphics format
to another and do simple editing and analysis of images.
There are no interactive tools in this package, and nothing that displays graphics of any kind.
It is like a non-GUI equivalent of ImageMagick, GIMP, and Adobe Photoshop, etc.
Over 100 graphics formats are handled, including JPEG, MPEG, PNG, GIF, TIFF, BMP, XWD, XBM, G3 fax,
and special formats used by digital cameras and handheld computers.
Over 40 editing functions include scaling, cropping, quantization and dithering, colorizing and
uncolorizing, blurring, and dimming.
Netpbm programs are often invoked by other programs, for example in CGI scripts that manage
web site graphics.
It also includes a C function library which helps you write programs to process graphics at a
lower level than the Netpbm utilities.
For more details see: http://netpbm.sourceforge.net/

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1 -b -time
%patch1 -p1 -b -strip
%patch4 -p1 -b -cmapsize
%patch5 -p1 -b -gcc34
%patch6 -p1 -b -nodoc

%build
./configure <<EOF

gnu
regular
shared
y
<inttypes.h>
libjpeg.so

libtiff.so

libpng.so

libz.so

/usr/lib/libX11.so

none

EOF

TOP=`pwd`
make \
	CC=%{__cc} \
	CFLAGS="-Os -march=i686 -pipe -fomit-frame-pointer" \
	LDFLAGS="$LDFLAGS -L$TOP/pbm -L$TOP/pgm -L$TOP/pnm -L$TOP/ppm -lvga -lX11 -lXtst" \
	JPEGINC_DIR=%_includedir \
	PNGINC_DIR=%_includedir \
	TIFFINC_DIR=%_includedir \
	JPEGLIB_DIR=%_libdir \
	PNGLIB_DIR=%_libdir \
	TIFFLIB_DIR=%_libdir


%install
mkdir -p $RPM_BUILD_ROOT
make package pkgdir=$RPM_BUILD_ROOT/usr
# Ugly hack to have libs in correct dir on 64bit archs.
mkdir -p $RPM_BUILD_ROOT%_libdir
if [ "%_libdir" != "/usr/lib" ]; then
  mv $RPM_BUILD_ROOT/usr/lib/lib* $RPM_BUILD_ROOT%_libdir
fi
cp -af lib/libnetpbm.a $RPM_BUILD_ROOT%_libdir/libnetpbm.a
ln -sf libnetpbm.so.10 $RPM_BUILD_ROOT%_libdir/libnetpbm.so
mkdir -p $RPM_BUILD_ROOT%_mandir
tar jxvf %{SOURCE1} -C $RPM_BUILD_ROOT%_mandir
# Don't ship man packages for non-existent binaries
for i in hpcdtoppm.1 pcdovtoppm.1 pnmtojbig.1 \
	 ppmsvgalib.1 vidtoppm.1 picttoppm.1; do
	rm -f $RPM_BUILD_ROOT%_mandir/man1/${i}
done
mv $RPM_BUILD_ROOT/usr/misc/*.map $RPM_BUILD_ROOT%_libdir
rm -rf $RPM_BUILD_ROOT/usr/README
rm -rf $RPM_BUILD_ROOT/usr/VERSION
rm -rf $RPM_BUILD_ROOT/usr/link
rm -rf $RPM_BUILD_ROOT/usr/misc
rm -rf $RPM_BUILD_ROOT/usr/man
rm -rf $RPM_BUILD_ROOT/usr/pkginfo
rm -rf $RPM_BUILD_ROOT/usr/config_template
# stripping package #
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/*
%_libdir/*.so.*
%_libdir/*.map
%_mandir

%files devel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.a
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 10.35.32-1
- Version Update
* Sat Aug 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 10.34-1
- Version Update
* Wed Apr 19 2006 Christian Wasem <wasem@ccux-linux.de> 10.33-1
- Version Update, removed manpath and message patch
* Wed Dec 28 2005 Karsten Brockmann <arcam@ccux-linux.de> 10.31-1
- Version Update
* Wed Sep 21 2005 Christian Metzen <metzench@ccux-linux.de> 10.29-2
- Removed wrong obsoletes Tag
* Tue Sep 20 2005 Christian Wasem <wasem@ccux-linux.de> 10.29-1
- Update to Version 10.29
* Mon Jul 25 2005 Christian Metzen <metzench@ccux-linux.de> 10.28-2
- Tweaked specfile
* Thu Jun 23 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 10.28-1
- Version Update to 10.28
* Fri Apr 22 2005 Christian Wasem <wasem@ccux-linux.de> 10.27-2
- rebuild and specfile improvements  
* Tue Apr 12 2005 Christian Wasem <wasem@ccux-linux.de> 10.27-1
- Initial Release
